Teksty w nawiasach na końcu linii mówią o tym, kto dokonał poprawki.
Jeśli jest postaci ,,nick'', powinno być jasne. Postać ,,nick/x''
oznacza, że ,,nick'' jest pomysłodawcą lub podesłał patcha, a zrobił
to ktoś oznaczony przez ,,x'' (w - wojtekka, s - speedy, a - arekm,
d - drg, sz - szalik, del - deletek, g - gophi).

// 2005-07-17

- libgadu: poprawne zdarzenia GG_EVENT_IMAGE_REPLY, gdy klient po drugiej
  stronie nie ma żądanego obrazka (ono/sz)

// 2005-07-16

- libgadu: poprawka dwóch błędów typu integer overflow -- ilość odbiorców
  wiadomości większa niż 0x3fffffff spowoduje przekroczenie zakresu zmiennych
  i zaalokowanie zbyt małej ilości pamięci przy obsłudze konferencji
  (mslusarz/w)

// 2005-07-13

- poprawka ustawiania tytułu terminala po rejestracji (w)

// 2005-07-12

- poprawki bezpieczeństwa i inne pomniejsze contrib/scripts/ekgbot-pre1.py
  (porridge)
- poprawki zachowania komend /_image* na maszynach big-endian (w)

// 2005-07-11

- poprawki bezpieczeństwa skryptów w contrib/ (porridge)
- poprawki bezpieczeństwa contrib/scripts/linki.py (eromang/w)

// 2005-07-04

- możliwość wstawienia początkowych spacji w opisie, należy
  użyć składni /away \ opis ze spacja na poczatku (zigi/sz)
- libgadu: poprawki dla maszyn Big Endian (mslusarz/sz)

// 2005-06-25

- libgadu: rozpoznawanie GG_HAS_AUDIO_MASK oraz GG_ERA_OMNIX_MASK
  także w przypadku GG_NOTIFY_REPLY60, a nie tylko GG_STATUS60 (zigi/sz)
- libgadu: podbicie wersji API po ostatnich zmianach (sz)
- libgadu: bład przy obsłudze GG_NOTIFY_REPLY na Big-Endianach (sz)

// 2005-06-24

- uzupełnienie opisu protokołu o połączenia z bramki Era Omnix,
  uzupełnienie numerków wersji 6.0 i 6.1 oryginalnego klienta (sz)
- /list pokazuje, kto łączy się przez bramkę Era Omnix (sz)
- uaktualnienie dj.theme (benetnash/sz)

// 2005-06-23

- dodanie zmiennej ,,era_omnix'' (*/sz)
- libgadu: możliwość udawania klienta era omnix (*/sz)

// 2005-06-20

- poziom ignorowania ,,smsaway'' (sz)

// 2005-06-19

- libgadu: poprawka wyrównania dostępu do pamięci, która likwiduje SIGBUS
  na SPARCach (embe/w)

// 2005-06-07

- poprawienie ustawiania scieżki wyszukiwania modułów pythona na systemach
  zgodnych z SUSv2 (embe/porridge)

// 2005-06-05

- umożliwienie wpisywania wiadomości zaczynających się od slasha 
  (Kosma/g)

// 2005-05-31

- dodanie do windows_save zapisu stanu okien przy /save (Kosma/g)

// 2005-05-25

- drobna poprawka /help play (gophi)

// 2005-05-22

- poprawka zachowania simlite przy wiadomościach dłuższych niż 628 znaków
  (mslusarz/w)

// 2005-05-14

- po pierwszym wyświetleniu pełnego ostrzeżenia o filtrowaniu wiadomości przez
  serwer, pozostałe takie będą wyświetlane w skróconej formie do restartu ekg
  (joshua/porridge)

// 2005-05-13

- poprawienie kodu konferencji (rodion/g)

// 2005-05-03

- drobna poprawka indentacji w ./configure (gophi)

// 2005-04-29

- poprawienie obsługi zdarzeń konferencji (rodion/g)

// 2005-04-28

- wyłączenie sprawdzania błędów w GCC dot. pthreads przy --disable-shared i
  reorganzacja tegoż sprawdzania w acx_pthread.m4 (porridge)

// 2005-04-25

- log_ignored uwzględnia także zmiany stanu (kosma/g)
- poprawienie literówki w /help on (jceel/g)

// 2005-04-21

- poprawki wykrywania pthread na amd64 i FreeBSD 4.1x (porridge)
- wycofanie zmiany wykrywania niewidocznych - wiecej problemów niż
  pożytku (sz)

// 2005-04-20

- zmiana techniki wykrywania niewidocznych (del/sz)

// 2005-04-12

- dodanie zmiennej dcc_backups (KKKas/g)
- libgadu: pozbycie się warningów przy -O2 (porridge/sz)
- nie dodajemy siebie do konferencji, ani wielokrotnie tych samych
  osób (mslusarz/sz)

// 2005-04-09

- poprawienie literówki w obsłudze konferencji (petros/g)
- ,,beep_notify'' też bierze pod uwagę zmienną ,,events_delay'' (sz)

// 2005-03-24

- libgadu: poprawki związane ze znakami zmiennych (gj/w)

// 2005-03-19

- libgadu: poprawki zwracanych wartości w errno w przypadku
  błędu (mslusarz/sz)
- kompilacja na AMD64 i GCC 4.0 (Andreas J/sz)

// 2005-03-17

- drobne poprawki w /help (*/sz)

// 2005-03-09

- /check_conn @grupa (zigi/sz)

// 2005-03-02

- usuwanie wpisu, np. email za pomocą /list user -e "" (sz)

// 2005-02-28

- drobna poprawka /help w domyślnym motywie (gophi)

// 2005-02-27

- drobne kosmetyczne poprawki, głównie kompilacji z pythonem (sz)

// 2005-02-26

- dodanie zmiennej status_window (shog/g)

// 2005-02-24

- wyświetlanie niedostępności po połączeniu dla członków grupy ,,spied''
  zgodne ze zmienną ,,events_delay'' (zigi/sz)

// 2005-02-22

- możliwość dodawania niewidocznych do listy dopełnień (zigi/sz)
- mniej ,,śmiecące'' wykrywanie niewidocznych (sz)

// 2005-02-21

- libgadu: podbicie wersji API (porridge/w)

// 2005-02-18

- poprawka /list -m (KKKas/w)
- poprawka /check_conn dla osób spoza grupy spied (zigi/sz)
- proste przewijanie listy kontaktów, standardowo podbindowane
  pod Alt-Z oraz Alt-X (sz)
- libgadu: poprawka zachowania gg_urlencode() przy pustych tekstach (mslusarz/w)
- libgadu: optymalizacja gg_chomp() (mslusarz/w)

// 2005-02-17

- libgadu: podbicie API z 3.1 do 3.2 (sz)
- libgadu: dodanie gg_remind_passwd3, która dodatkowo pobiera email
  jako parametr (zigi/sz)
- konsekwentne zachowanie przy ,,ignore_empty_msg'' równym 0 i otrzymaniu
  pustej wiadomości z obrazkiem(ami). wyświetlana jest pusta wiadomość (zigi/sz)
- reorganizacja polecenia check_conn, patrz /help_check_conn (zigi/sz)

// 2005-02-15

- zdarzenia ,,connectionlost'' oraz ,,disconnected'' (reef/sz)
- łatwiejsze wykrywanie niewidocznych, patrz /help check_conn (sz)

// 2005-02-01

- poprawienie segfaulta podczas /query z 10 znakowym nickiem ze spacją 
  (mimek,ramzes/g)
- poprawienie /set log_status (gophi)
- poprawienie /help /set quit_reason (gophi)

// 2005-01-30

- dodanie zmiennej ,,ignore_empty_msg'' (porridge/sz)
- pomijanie ,,\r\n'' w ostatniej linii np. wielolinijkowego statusu (kosma/sz)
- dodanie funkcji check_conn pomagającej sprawdzać czy ktoś jest 
  niewidoczny (*/del)

// 2005-01-29

- poprawka segfaultu przy wyświetlaniu tokenów (gj/w)
- poprawka ocrowania tokenów (w)
- libgadu: parsowanie adresów tokenów, żeby działały z proxy (porridge/w)

// 2005-01-26

- poprawienie wyświetlania informacji na temat zakolejkowania wiadomości 
  (teraz wyświetlana jest pod wiadomością) (gophi)
- dopisanie do ,,/help on'' informacji na temat podawania sprawcy dla 
  zdarzeń ,,connected'' i ,,disconnected'' (zigi/g)

// 2005-01-21

- libgadu: podbicie wersji API z 3.0 do 3.1 (porridge/w)
- libgadu: cofnięcie poprawki off-by-one gg_base64_encode() (porridge/w)

// 2005-01-19

- dodanie zdarzeń ,,connected'' i ,,disconnected'' (LANO/sz)

// 2005-01-12

- dodanie do informacji wypisywanych w momencie segfaulta tekstu na
  temat możliwości otrzymania core przy pomocy ,,ulimit'' (gophi)
- poprawienie poprzedniego commita (z rozpędu źle nałożyłem patcha) 
  (gophi)

// 2005-01-11

- dodanie zmiennej beep_title, obsługującej informowanie o sygnale dźwiękowym
  w pasku tytułowym na terminalu xterm (qbq/w)
- libgadu: sprawdzanie poprawności parametrów funkcji
  gg_send_message_richtext() i gg_send_message_confer_richtext() (mslusarz/w)

// 2005-01-10

- poprawienie segfaulta przy próbie dołączenia kogoś do nieistniejącej 
  konferencji (irys/g)

// 2005-01-04

- libgadu: poprawka połączenia przez proxy (porridge/w)

// 2004-12-28

- libgadu: dodanie funkcji gg_dcc_fill_file_info2() pozwalającej na podanie
  lokalnej nazwy pliku innej niż przesyłanej zdalnemu klientowi, na przykład
  gdy lokalne kodowanie jest inne niż CP1250 (mslusarz/w)
- libgadu: poprawka zachowania przy wysyłaniu pustych plików (mslusarz/w)
- libgadu: poprawka tworzenia krótkiej nazwy przesyłanych plików (w)
- nazwy przesyłanych plików są tłumaczone na CP1250 (mslusarz/w)
- dodanie zmiennej ,,dcc_filter'' pozwalającej na chwilowe wyłączenie
  filtrowania nieznanych adresów IP w połączeniach bezpośrednich (w)

// 2004-12-21

- libgadu: zamykanie gniazda nasłuchującego dcc w przypadku problemów
  z bindowanie/słuchaniem (mslusarz/w)
- libgadu: uproszczenie gg_send_packet() (mslusarz/w)
- libgadu: uzupełnienie stałych potwierdzeń (mslusarz/w)
- libgadu: usunięcie kodu ustawiającego gg_dcc_ip na auto w funkcji
  gg_dcc_socket_create() (mslusarz/w)
- uzupełnienie dokumentacji protokołu o połączenia bezpośrednie i nowy
  format listy kontaktów (w)

// 2004-12-19

- uzupełnienie dokumentacji protokołu o tokenu (w)

// 2004-12-15

- usunięcie malutkiego wycieku zasobów, jeśli korzystamy z wątkowego
  resolvera w libgadu (sz)

// 2004-12-12

- dodanie pamiętania numerków przy wykrywaniu osób spoza listy 
  (zigi/g)

// 2004-12-10

- dodanie wykrywania osób w trybie ,,tylko dla znajomych'', które 
  mają nas na liście kontaktów (gophi)

// 2004-12-06

- poprawienie obsługi zdarzeń dotyczących numeru 1 (gophi)
- libgadu: poprawienie off-by-one w gg_base64_encode() (thv/w)

// 2004-12-01

- poprawienie segfaulta przy /queue -u user (zigi/g)

// 2004-11-30

- drobna poprawka w /help unregister (zigi/g)

// 2004-11-29

- drobna poprawka w /help set (zigi/g)

// 2004-11-28

- jeśli wiadomość zawiera obrazki, ale nie posiada tekstu, jest 
  całkowicie ignorowana - zapobiega śmieceniu przez osoby używające
  wykrywanie niewidocznych (sz)

// 2004-11-27

- dodanie nachodzących na siebie linii przy scrollowaniu (jceel/g)
- usunięcie buga przy /help set // mały opis dostępnych zmiennych (gophi)

// 2004-11-25

- kilka poprawek w dokumentacji (gophi)
- poprawienie debugowania ncurses (gophi)

// 2004-11-22

- poprawienie błędu ,,Za mało parametrów. Spróbuj help chat'' podczas 
  uruchamiania z wysłaniem wyniku (-m, -b) niektórych poleceń systemowych, 
  np. ,,/exec -m numerek echo'', ,,/exec -b numerek echo -n'' (g)

// 2004-11-19

- poprawienie błędu przy obsłudze zdarzenia zmiany opisu własnego numerka 
  (acze/g)
- wyeliminowanie warninga podczas kompilacji stuff.c (g)

// 2004-11-17

- poprawienie kolejności logowania podczas wykonywania zdarzeń 
  zawierających akcje msg/chat (g)
- poprawienie buga podczas dodawania zdarzeń dotyczących osób spoza listy 
  kontaktów (zamiast numeru osoby był dodawany numer zdarzenia) (g)

// 2004-11-11

- usunięcie dziur w numeracji zdarzeń (gophi/w)
- poprawka zachowania readline (gophi/w)
- dodanie opisu opcji -o (gophi/w)
- poprawka odświeżania ekranu podczas używaniu control-pipe (gophi/sz)

// 2004-10-31

- usunięcie wycieku pamięci przy korzystaniu z formatów contacts_header*
  i contacts_footer* (weirdo/w)

// 2004-10-29

- poprawka wykrywania pthread (porridge/w)

// 2004-10-28

- libgadu: współbieżny resolver tam gdzie jest gethostbyname_r (mslusarz/w)

// 2004-10-12

- libgadu: poprawka liczenia sumy kontrolnej obrazków (mslusarz/w)
- libgadu: poprawka wysyłania dużych pakietów (mslusarz/w)
- nowa zmienna ,,dcc_port'' (adaml/w)

// 2004-10-07

- libgadu: poprawka pobierania tokenow (szalik/w)

// 2004-10-06

- libgadu: optymalizacja zwalniania zasobów (mslusarz/w)

// 2004-10-05

- libgadu: poprawka wycieku pamięci w przypadku braku zasobów (mslusarz/w)

// 2004-08-09

- poprawka błędy zawieszenia programu związanego z dopełnieniem (tros/del)

// 2004-08-10

- poprawka powiadamiania o nowej poczcie (atler/sz)

// 2004-07-14

- libgadu: poprawki obsługi proxy (the_leech/w)
- libgadu: poprawka złego zachowania po rozłączeniu klienta (patryk/w)

// 2004-07-06

- poprawka działania /queue -u user -c (struthio/sz)

// 2004-06-19

- poprawka wycieku pamięci (szalik/del)

// 2004-06-13

- poprawka dopełnienia tabem przy tekstach zawierających cudzysłów (KKKas/del)

// 2004-06-11

- poprawka informacji o podszywaniu się w dcc (perry/w)
- poprawki dokumentacji protokołu (Piotr Trzcionkowski/w)

// 2004-05-27

- zaległe uaktualnienie opisu protokołu: dzielenie listy kontaktów
  na pakiety przy imporcie i eksporcie (w)

// 2004-05-22

- poprawiony błąd końca wiersza przy exec --{b}msg (Reef/del)

// 2004-05-03

- poprawka małego błędu związanego z alokacją pamięci (h3r0n/del)

// 2004-05-02

- libgadu: obsługa list kontaktów większych niż 409 wpisów (MAG,adrians/w)
- uaktualnienie dokumentacji protokołu o większe listy kontaktów (w)

// 2004-04-28

- informacja o próbie podszycia się pod użytkownika przy połączeniach
  bezpośrednich (acze/w)

// 2004-04-26

- poprawione złe wyświetlanie czasów przy /status w readline (kbns/del)

// 2004-04-17

- poprawione tabcompletion (błędy z cudzysłowiami) (MS/del)

// 2004-04-06

- poprawka tabcompletion dla nazw plików (Brzezi/del)
- poprawka problemu z 'query odbiorca wiadomosc' (Sydney/del)

// 2004-04-05

- poprawka błędu z ustawianiem opisu i stanu przy łączeniu (nik/del)

// 2004-04-04 

- poprawka wycieku pamięci przy /set contacts_size 0 (mirek/del)

// 2004-03-28

- poprawka dotycząca tabcompletion (del)

// 2004-03-23

- usunięty błąd z dopełnieniem np /dcc g[TAB] (Wojciech S/del)

// 2004-03-21

- usunięty błąd przy query mającym utworzyć konferencję, np:
 /query "Imię Nazwisko",nick wyśle komunikat zamiast tworzyć konferncję (del)
- parę poprawek dotyczących wew. funkcji (del) 

// 2004-03-03

- poprawka TAB completition (pare błędów, cleanup, komentarze) (del)
- poprawka sprawdzająca parametry komendy /query (samo /query wyrzuca komunikat
  o błędzie, a /query @nieistniejaca_grupa nie wyrzuca "krzaczków") (del)
- poprawka formatu ,,ncurses_timestamp'' (kfahoo/w)
- uaktualnienie arim.theme (arim/w)

// 2004-03-02

- poprawka błędów z dopełnieniem klawiszem TAB (min. segv) (del)
- działające tab_commmand (del)
- dodanie ,,Requires: openssl'' w libgadu.pc w razie potrzeby (krzak/w)

// 2004-03-01

- literkówka w vars.txt (porridge/d)

// 2004-02-29

- dopełnianie listy nicków abc,def,ghi (joshua/del)
- przy dopełnieniu obsługa dużych/małych polskich liter (del)

// 2004-02-28

- poprawka obsługi dużych polskich literek w słowniu (del)
- dopełnianie w środku linii (sz/del)

// 2004-02-27

- zastąpienie zmiennej aspell_allowed wewnętrzną funkcją sprawdzającą (del)
- wyczyszczony kod i dodana obsługa adresów WWW i FTP (nie są podkreślane) w słowniku (del)

// 2004-02-26

- zapomniany contrib/ioctld-client.c
- dodanie zmiennych ioctld_enable oraz ioctld_net_port, które umożliwiają
  zdalne działanie daemona ioctld (d)
- dodanie zmiennej local_ip, pozwalajającej na ustawienie adresu lokalnego (del)
- dodanie dokumentacji słownika aspell (del)
- poprawka teoretycznej możliwości segfaulta w module aspell'a (del)
- poprawka w module aspell'a dotycząca sprawdzania pisowni przy zawijanych wierszach (del)
- dodanie zmiennej aspell_allowed określającej jakie znaki mają być ignorowane 
  (np. nawiasy czy cudzysłowia) (del)

// 2004-02-25

- sprawdzanie pisowni (deli/w)

// 2004-02-16

- poprawka zakończenia linii w wielolinijkowych wiadomościach z potoku
  sterującego (reef/w)

// 2004-02-14

- dodanie pythonowych zdarzeń handle_status_own i handle_msg_own do
  poprawiania własnych stanów i wiadomości (*/w)

// 2004-02-13

- pomijanie ignorowanych użytkowników przy wysyłaniu listy kontaktów
  do serwera (gophi/w)

// 2004-02-11

- dodatkowe opcje dotyczące kolorów (goblin/w)
- poprawka segfaulta przy wychodzeniu (goblin/w)

// 2004-02-01

- dodanie wpisu ,,ncurses_timestamp'' w tematach wyglądu (*/w)

// 2004-01-25

- poprawka klawiszy Home i End w FreeBSD (deli/w)

// 2004-01-22

- poprawka działania auto_conference (joshua/sz)

// 2004-01-13

- usunięcie użytkownika nie usuwa go z listy ignorowanych i blokowanych
  (perry/w)

// 2004-01-12

- kod błędu GG_FAILURE_NEED_EMAIL jest zwracany w stanie
  GG_STATE_READING_REPLY (chilek)

// 2004-01-06

- /passwd nie zmienia zmiennej ,,email'' (sgurgacz/w)

// 2003-12-28

- poprawka opisu protokołu (JAJAJA/w)

// 2003-12-22

- poprawka segfaultu przy wielolinijkowych wiadomościach (nyarlath/w)
- obsługa locali przy sortowaniu listy kontaktów (rmrmg/w)

// 2003-12-21

- poprawka ,,auto_back'' i ,,auto_away_keep_descr'' (s_wilk/sz)

// 2003-12-20

- poprawka szukania nieprawidłowych nicków w liście kontaktów (adderek/w)

// 2003-12-02

- poprawki związane z ,,auto_away''. dodanie zmiennej ,,auto_away_keep_descr'' (s_wilk/sz)

// 2003-11-27

- dopełnianie opisów bez cytowania (*/sz)

// 2003-11-22

- dodany kod błędu GG_FAILURE_NEED_EMAIL przy zdarzeniu GG_EVENT_CONN_FAILED (chilek)
- zmienna auto_conference (joshua/sz)

// 2003-11-20

- poprawka /find dla użytkowników ze spacją w nazwie (pi/sz)

// 2003-11-19

- poprawka /dcc list dla dużych plików (?/sz)
- prosta obsługa grup w ignore/unignore (sz)
- zdarzenie dccfinish. możliwość usuwania nie tylko ze względu na numer
  zdarzenia (struthio/sz)

// 2003-11-14

- libgadu: podbicie wersji ABI (porridge/w)

// 2003-11-05

- dopełnianie opisów w komendach /away itp. (szok,przemmaj/w)

// 2003-11-03

- zmiany stanu bez opisów nie będą logowane przy ,,log_status'' równym 2
  (brat.lukasz/w)
- libgadu: gg_notify*() z pustą listą kontaktów wyśle pakiet GG_LIST_EMPTY
  (grzegorz.sowa/w)

// 2003-10-30

- ,,/last user'' też działa (joshua/sz)

// 2003-10-27

- ocr tokenu (acze/w)

// 2003-10-26

- libgadu: poprawka blokowania libgadu przy rozłączeniu (FIG/w)

// 2003-10-21

- poprawka obsługi segfaultów (porridge/w)
- poprawka czyszczenia okna i ,,(more)'' (theKnight/w)

// 2003-10-20

- zmiana '\n' w opisach stanów na '|' (s_wilk/w)
- libgadu: porządki z wątkowanym resolverem (sz/w)

// 2003-10-19

- libgadu: wyświetla prawidłowy powód błędu przy nieudanym połączeniu SSL (w)

// 2003-10-17

- libgadu: dodanie funkcji gg_image_reply() (w)
- libgadu: drobne poprawki kodu (w)
- dodanie komend testowych /_imagemsg (wysyła wiadomość zawierającą tylko
  obrazek), /_imagereq (wysyła żądanie obrazka), /_imagesend (wysyła
  obrazek) (w)

// 2003-10-15

- libgadu: poprawka api odbierania obrazków (w)
- libgadu: usunięcie leaków przy zdarzeniach GG_EVENT_NOTIFY60 i _STATUS60 (w)
- poprawka czytania cudzej pamięci w /add (w)
- poprawka dokumentacji protokołu (w)
- libgadu: poprawka pracy na maszynach BE (speedy/w)
- libgadu: dodanie zdarzenia GG_EVENT_DCC_ACK po zaakceptowaniu połączenia
  przez drugą stronę (Chilek/w)

// 2003-10-13

- libgadu: bardzo eksperymentalna obsługa wiadomości graficznych w
  docs/api.txt (w)

// 2003-10-09

- poprawka segfaultu w gg_free_session() z wątkami (Chilek/w)

// 2003-10-08

- poprawka zapisu tokenu na dysku (porridge/w)

// 2003-10-06

- przywrócenie opisu pakietów GG_STATUS i GG_NOTIFY_REPLY (trzcionkowski/w)
- libgadu: poprawka segfaulta przy pobieraniu listy kontaktów (Chilek/w)
- uaktualnienie opisu protokołu o obrazki w wiadomościach (w)
- dodanie testowej komendy /_hexmsg, która wysyła wiadomość o treści podanej
  w kodzie heksadecymalnym (w)
- libgadu: dodanie do pliku nagłówkowego struktur dotyczących obrazków (w)
- libgadu: dodanie zdarzenia GG_EVENT_IMAGE_REQUEST, gdy rozmówca prosi
  o przesłanie obrazka (w)

// 2003-10-05

- libgadu: poprawka wysyłania listy kontaktów na serwer (Chilek/w)
- libgadu: dostosowanie wysyłania hasła do GG 6.0 nową funkcją
  gg_remind_passwd2() (Chilek/w)
- libgadu: poprawka zmiany hasła (w)
- libgadu: inteligentne potwierdzenie eksportu listy kontaktów (Chilek/w)

// 2003-10-04

- możliwość wyłączenia linkowania z libbind, mimo że jest zainstalowane
  (arekm/w)

// 2003-10-03

- libgadu: poprawka kodowania adresów e-mail w urlach (Chilek/w)
- libgadu: uaktualnienie usuwania konta do protokołu GG 6.0 (Chilek/w)

// 2003-10-01

- poprawka wykrywania libjpeg (embe/w)

// 2003-09-30

- poprawienie zachowania się /set dla irssi_set_mode == 1 (weirdo/wysek)
- libgadu: poprawki zmiennych ze znakiem i bez znaku, które są potencjalnie
  niebezpieczne dla użytkownika (gj/w)
- libgadu: usunięcie funkcji nieaktualnych ze względu na zmiany w protokole.
  przeniesiono je do pliku lib/obsolete.c (w)
- libgadu: poprawka wysyłania i pobierania listy kontaktów z serwera (Chilek/w)
- libgadu: pobieranie tokenu za pomocą funkcji gg_token(). zwróconą strukturę
  obsługiwać przez gg_token_watch_fd(). po zakończeniu w ->body mamy plik
  graficzny o rozmiarze ->body_size, w ->token->width i ->token->height
  wymiary obrazka, w ->token->length długość tokenu i w ->token->tokenid
  jego identyfikator (w)
- libgadu: poprawki obsługi http, by można było odbierać dane binarne (w)
- poprawki w dokumentacji (w)
- poprawka flag kompilacji pythona (ksmigrod/w)
- libgadu: uaktualnienie rejestracji i zmiany hasła (w)
- dodanie komendy /token pobierającej token z serwera (w)
- uaktualnienie opisu api (w)

// 2003-09-21

- nowa zmienna irssi_set_mode, jeśli ustawiona na 1, to zmienia zachowanie
  /set z jednym argumentem. domyślnie wyłączone. więcej w docs/vars.txt (wysek)

// 2003-09-14

- libgadu: poprawka segfaulta (Chilek/wysek)

// 2003-09-12

- libgadu: wysyłanie listy kontaktów już działa (Chilek/w)

// 2003-09-11

- libgadu: obsługa listy kontaktów na serwerze zgodnej z GG 6.0. wysyłanie
  jeszcze nie działa prawidłowo (w)
- libgadu: logowanie się za pomocą pakietu GG_LOGIN60 (w)

// 2003-09-10

- włączenie gałęzi GG6 do głównej (w)

// 2003-09-09

- jeśli ustawiona jest zmienna ,,EKG_NO_TITLE'', to nie będzie
  zmiany tytułu okna xterm'a (sz)
- dokumentacja dla ekglogs. kosmetyka manuali ekg (porridge/sz)
- uaktualnienie arim.theme (arim/sz)

// 2003-08-27

- usunięcie nieaktualnych informacji, nowe rodzaje pakietów w GG 6.0,
  indeks pakietów (*/w)

// 2003-08-26

- uaktualnienie ekg_logs (Goblin/w)
- libgadu: poprawka zwalniania zasobów gg_session przy wątkowanym
  resolverze (ppluciennik/w)
- libgadu: poprawka błędu typu DoS. wysyłając wiadomość niezakończoną
  znakiem '\0', można było rozłączyć ekg (NEMO/w)

// 2003-08-05

- dodanie obsługi nowego formatu pliku do WAP (serek/sz)

// 2003-07-23

- poprawka wyświetlania nazwy programu w tytule okna xterma (?/w)

// 2003-07-22

- poprawka segfaulta przy czytaniu/pobieraniu uszkodzonej listy kontaktów (w)
- kosmetyczne poprawki związane z dosłownym użyciem znaku '%' w niektórych
  miejscach (savage,w/sz)

// 2003-07-14

- kosmetyczna poprawka działania polecania /dcc get (struthio/sz)

// 2003-07-09

- libgadu: poprawka zapisu opcji pthread dla pkgconfig (w)
- poprawka obsługi listy kontaktów z oryginalnego klienta (gamster/w)

// 2003-07-07

- libgadu: poprawka błędu znaku przy dcc (joshua/w)

// 2003-07-06

- poprawka wykrywania OpenSSL (perry/w)

// 2003-07-03

- poprawka obsługi zdarzeń w pythonie (rmrmg/w)
- dodanie show_status_{header,footer} i %} w tematach (viraptor/w)
- poprawka segfaulta przy mieszaniu historią poleceń (Goblin/w)

// 2003-07-02

- informacja o błędach przy logowaniu (*/w)

// 2003-07-01

- poprawka zapisywania plików konfiguracyjnych (porridge/w)
- poprawka wykrywania niestandardowych instalacji openssl (zawirek,adrians/w)
- poprawne zamykanie deskryptora w niektórych sytuacjach (mirqus/sz)

// 2003-06-30

- nie wywraca się, gdy dostanie wiadomość graficzną (sz)

// 2003-06-29

- ekgbot w contrib/scripts/ (sznik/w)
- kolejna przeglądarka logów, tym razem w C (Goblin/w)
- linki.py w contrib/scripts/ (rmrmg/w)
- pomijanie tylko dla przyjaciół w wynikach szukania (Struthio/w)

// 2003-06-27

- poprawka dopełniania /python (rmrmg/w)
- poprawka zapisu plików konfiguracyjnych (porridge/w)
- libgadu: poprawne zwalnianie pamięci w sytuacjach kryzysowych (scooty/w)
- dodanie %| do tematu pasku stanu, który dopełnia do końca linii (ptar/w)

// 2003-06-24

- przepisanie wykrywania ncurses, żeby działało dobrze przy crosskompilacji.
  używa teraz AC_CHECK_HEADERS, zamiast sprawdzania obecności plików
  (pliszka/w)
- poprawka tematu ostatniej obecności (rmrmg/w)
- libgadu: niezainicjowana zmienna mogła powodować wywrotki w fazie
  łączenia na systemach, gdzie strerror() potrafi zwrócić NULL, np.
  SunOS (w,sz)

// 2003-06-23

- poprawki crosskompilacji (pliszka/w)

// 2003-06-22

- dodanie informacji o kompilacji rtg (struthio/w)
- ekg nie usuwa użytkowników bez podanego numeru z listy kontaktów
  (a.latanski/w)
- lepsza obsługa padniętego katalogu publicznego (w)

// 2003-06-21

- dodanie skryptu contrib/ekglog.pl (fixer/w)

// 2003-06-20

- lista kontaktów obsługuje adres e-mail (a.latanski/w)

// 2003-06-18

- /list w oknie pokaże informacje o rozmówcy (weirdo,FIG/w)
- poprawka wyszukiwania z --all (lukzg/w)
- poprawka zachowania back_reason przy uruchamianiu ekg (a.latanski/w)

// 2003-06-17

- usunięcie opcji --disable-debug z configure. sprawia tylko problemy (w)
- poprawka kompilacji z -DGG_DISABLE_DEBUG (theKnight/w)

// 2003-06-16

- poprawka ignore_unknown_sender (Kamil/sz)

// 2003-06-11

- poprawka /exec -B do osoby ze spacją (Sydney/w)
- /reload nie uaktualnia naszego stanu (FIG/w)

// 2003-06-10

- uaktualnienie irc.theme, dodanie tohver.theme (Tohver/w)

// 2003-06-08

- dodanie /python restart, które restartuje interpreter (rmrmg/w)
- poprawka opcji --control-pipe (kosmoski/w)

// 2003-06-02

- ,,ignore_unknown_sender'' nie ignoruje wiadomości systemowych (sz)

// 2003-05-30

- testowa poprawa wydajności wyświetlania - nie odświeża w obrębie
  jednej komendy, widać to np. przy /help (w/sz)
- w /last można połączyć ze sobą wszystkie opcje i zrobić np.
  ,,/last -u szalik -p 17:30-19:00 -n 3'' i dodać ,,-c'', aby te
  wiadomości usunąć (sz)
- podobna kosmetyka j.w. dla /queue (sz)

// 2003-05-29

- Ctrl-W wrzuca do yankbuffera (w/sz)
- automagiczne szukanie nieznajmoych, zmienna ,,auto_find'' (mateusza/sz)
- zdarzenie ,,conference'' (pmb/sz)
- zmienna ,,ignore_unknown_sender''. wrr. w /ignore byłoby za dużo do
  mieszania, żeby to osiągnać. (sz)
- nie trzeba usuwać użytkownika z listy ignorowanych, aby dodać kolejny
  poziom (sz)
- status wykonanego polecenia /exec nie powinien się już nigdy pojawić zanim
  cały wynik polecenia nie zostanie wyświetlony (?/sz)
- ekg pamięta, z jakim opisem i adresem IP ostatnio kogoś widział (joshua/sz)
- zmienna ,,wap_enabled''. niezapisywanie do WAP własnych wiadomości,
  niezależnie od ustawień ,,display_sent'' (serek/sz)
- lekka zmiana zachowania /last, może teraz pokazać wiadomości z danego
  przedziału czasu (sz)
- informacja o obcieciu szyforwanej wiadomości (sz)

// 2003-05-28

- libgadu: poprawka wątkowego resolvera przy połączeniach http (sz)
- psujący zabawę błąd off-by-one w ioctld. przywracanie początkowego
  stanu diod LED. niestety, nie mam jak sprawdzić na Linuksie (sz)

// 2003-05-21

- poprawka /disconnect przy auto_reconnect != 0 (scooty/w)
- libgadu: poprawka kompilacji z GG_DEBUG_DISABLE (pikov/sz)

// 2003-05-20

- poprawka segfaulta przy /set server "" (tiroy/w)

// 2003-05-19

- poprawka kompilacji z ioctld (Charvel/w)

// 2003-05-18

- drobne usterki w opisie protokołu (scooty/w)
- poprawka zawijania (FIG/w)

// 2003-05-17

- ,,sms_away'' może także działać, gdy jesteśmy niewidoczni (sz)
- zmienna ,,save_question'' (Tohver/sz)
- logowanie wysłanych smsów (scooty/w)
- przy ui-none zamyka terminal (fidor/w)

// 2003-05-16

- libgadu: gg_session->port jest prawidłowo wypełniane (w)
- poprawka server_save dla połączeń TLS (perry/w)
- leak w aliasach (sz)
- pozbycie się strcat(), strcpy() i sprintf(). w OpenBSD są brzydkie
  warningi (sz)
- poprawka dopełniania, aby dopełniało dobrze np. użytkowników
  ,,piotr_nowak'' oraz ,,piotr kowalski'' (sz)
- informacja o szyfrowanym połączeniu w /status (scooty/w)

// 2003-05-15

- libgadu: obsługa połączeń szyfrowanych TLSv1. wystarczy podać konkretny
  serwer i ustawić ,,gg_login_params->tls = 1''. oczywiście wypadałoby mieć
  zainstalowaną bibliotekę OpenSSL w systemie. ABI i API są zgodne poza
  zmianą deklaracji wewnętrznej funkcji gg_send_packet(). można sprawdzić
  istnienie stałej __GG_LIBGADU_HAVE_OPENSSL, żeby mieć pewność, czy dana
  wersja libgadu obsługuje TLSv1 (w)
- libgadu: podbicie wersji API (w)
- obsługa połączeń szyfrowanych TLSv1. należy podać adres serwera poprzedzony
  tekstem ,,tls:'' (w)
- usunięcie leaka w obsłudze procesów potomnych (scooty/w)
- korzystanie z hub do połączeń TLS (,,/set server tls'') (w)
- libgadu: podbicie wersji klienta do 5.7.0b116 i protokołu do 0x1c (w)
- uaktualnienie opisu protokołu w kwestii połączeń TLS (w)

// 2003-05-14

- poprawka helpa /dcc (jojo/w)
- poprawka dopełniania nazw plików (jojo/w)

// 2003-05-10

- poprawka obsługi polskich liter w /find (FIG/sz)
- poprawka wyboru opisów z plików *.reasons - lepiej losuje i nie
  wywraca się przy pustym pliku (sz)

// 2003-05-05

- niedostępność osób nie będzie wyświetlana przez ,,events_delay'' sekund
  od połączenia (lordzik/w)

// 2003-05-01

- po utracie terminala kończy pracę (tokugawa/w)

// 2003-04-30

- opis instalacji w katalogu domowym dla nowej wersji autoconfa (w)

// 2003-04-29

- /list pokazuje, kiedy ostatnio widziano użytkownika (qbq/w)

// 2003-04-28

- libgadu: obsługa wznawianych transferów plików (Chilek/w)
- dodanie polecenia ,,dcc resume'' do wznawiania przerwanych transferów (w)

// 2003-04-26

- poprawka wyciszania komendy /alias -a (sz)

// 2003-04-23

- poprawka zachowania trybu wielolinijkowego (theKnight/w)


$Id: ChangeLog 3417 2005-07-18 23:05:11Z joi $
